diff -ru clisp-orig/src/gettext/po/Makefile.in clisp/src/gettext/po/Makefile.in
--- clisp-orig/src/gettext/po/Makefile.in	Fri Mar 19 00:57:57 2004
+++ clisp/src/gettext/po/Makefile.in	Fri Mar 19 23:24:57 2004
@@ -94,10 +94,10 @@
 	  if [ ! -d "$$destdir/$$lang" ] ; then mkdir "$$destdir/$$lang" ; fi; \
 	  if [ ! -d "$$dir" ] ; then mkdir "$$dir" ; fi; \
 	  if test -r $$cat; then \
-	    echo "installing $$cat as $$dir/$(PACKAGE).mo"; \
-	    $(INSTALL_DATA) $$cat "$$dir/$(PACKAGE).mo"; \
-	    echo "installing clisplow_$$cat as $$dir/clisplow.mo"; \
-	    $(INSTALL_DATA) clisplow_$$cat "$$dir/clisplow.mo"; \
+	    echo "installing $$cat as $$dir/$(PACKAGE)-maxima.mo"; \
+	    $(INSTALL_DATA) $$cat "$$dir/$(PACKAGE)-maxima.mo"; \
+	    echo "installing clisplow_$$cat as $$dir/clisplow-maxima.mo"; \
+	    $(INSTALL_DATA) clisplow_$$cat "$$dir/clisplow-maxima.mo"; \
 	  else \
 	    echo "installing $(srcdir)/$$cat as $$dir/$(PACKAGE).mo"; \
 	    $(INSTALL_DATA) $(srcdir)/$$cat "$$dir/$(PACKAGE).mo"; \
diff -ru clisp-orig/src/makemake.in clisp/src/makemake.in
--- clisp-orig/src/makemake.in	Fri Mar 19 00:58:01 2004
+++ clisp/src/makemake.in	Fri Mar 19 01:38:01 2004
@@ -311,6 +311,8 @@
      HLN='@HLN@'                         # either 'ln' or 'hln'
      CC="@CC@"                           # either 'gcc -O' or 'cc'
      CPP="@CPP@"                         # either $CC' -E' or '/lib/cpp'
+     CFLAGS='@CFLAGS@'
+     CLFLAGS='@LDFLAGS@'     
      CC_GCC='@CC_GCC@'                   # either true or false
      CC_ANSI='@CC_ANSI@'                 # either true or false
      CC_NEED_CCPAUX='@CC_NEED_CCPAUX@'   # either true or false
@@ -804,7 +806,7 @@
 
 if [ $XCC_GCC = true ] ; then
 
-  XCFLAGS='-W -Wswitch -Wcomment -Wpointer-arith -Wimplicit -Wreturn-type '
+  XCFLAGS='-I$(prefix)/include -W -Wswitch -Wcomment -Wpointer-arith -Wimplicit -Wreturn-type '
   if [ $HOS = os2 ] ; then
     # DOS has a very limited command line length
     XCFLAGS=''
@@ -903,7 +905,7 @@
   if [ $TSYS = sun4 -o $TSYS = acorn ] ; then
     XCLFLAGS='-static'
   else
-    XCLFLAGS=''
+    XCLFLAGS='-L$(prefix)/lib'
   fi
   # Override any "-x c++" options which may be present in $XCC or $XCFLAGS.
   XCLFLAGS=$XCLFLAGS' -x none'
@@ -1646,7 +1648,7 @@
 
 # echotab_mkdir_maybe dir
 # make the directory if it is not there
-echotab_mkdir_maybe () { echotab "test -d $1 || mkdir $1"; }
+echotab_mkdir_maybe () { echotab "test -d $1 || mkdir -p $1"; }
 
 echol "# -*- Makefile -*- for the CLISP binaries"
 echol "# DO NOT EDIT! GENERATED AUTOMATICALLY!"
@@ -1686,11 +1688,11 @@
     echol "lispdocdir = \$(docdir)${NEXT_}clisp-`cat ../src/VERSION`"
     ;;
   debian | gnu_ext | netbsd)
-    echol "lispdocdir = \$(docdir)${NEXT_}clisp"
+    echol "lispdocdir = \$(docdir)${NEXT_}clisp-maxima"
     ;;
 esac
 echol "libdir = \$(exec_prefix)${NEXT_}lib"
-echol "lisplibdir = \$(libdir)${NEXT_}clisp"
+echol "lisplibdir = \$(libdir)${NEXT_}clisp-maxima"
 if [ -n "$USE_GETTEXT" ] ; then
   echol "datadir = \$(prefix)/share"
   echol "localedir = \$(datadir)/locale"
@@ -2609,7 +2611,7 @@
     for lang in ${ALL_LINGUAS:-"en de fr"}; do
       echotab "mkdir locale${NEXT_}${lang}"
       echotab "mkdir locale${NEXT_}${lang}${NEXT_}LC_MESSAGES"
-      echotab "\$(LN_S) gettext${NEXT_}po${NEXT_}${lang}.gmo locale${NEXT_}${lang}${NEXT_}LC_MESSAGES${NEXT_}clisp.mo"
+      echotab "\$(LN_S) gettext${NEXT_}po${NEXT_}${lang}.gmo locale${NEXT_}${lang}${NEXT_}LC_MESSAGES${NEXT_}clisp-maxima.mo"
     done
   fi
   echol
@@ -3285,7 +3287,7 @@
       localeflags=" -B \$(lisplibdir)"
     fi
     echotab_mkdir_maybe "\$(DESTDIR)\$(bindir)"
-    echotab "\$(CC) \$(CFLAGS) \$(CLFLAGS) -DLISPLIBDIR='\"\$(lisplibdir)\"' -DLOCALEDIR='\"\$(localedir)\"' clisp.c -o \$(DESTDIR)\$(bindir)/clisp"
+    echotab "\$(CC) \$(CFLAGS) \$(CLFLAGS) -DLISPLIBDIR='\"\$(lisplibdir)\"' -DLOCALEDIR='\"\$(localedir)\"' clisp.c -o \$(DESTDIR)\$(bindir)/clisp-maxima"
     echol
     if [ $TERMINAL = readline ] ; then
       echol "install-man : clisp.1${manual_dvi} clisp.html clreadline.3 clreadline.html clreadline.dvi force"
@@ -3294,13 +3296,6 @@
     fi
     echotab_mkdir_maybe "\$(DESTDIR)\$(prefix)"
     echotab_mkdir_maybe "\$(DESTDIR)\$(exec_prefix)"
-    echotab_mkdir_maybe "\$(DESTDIR)\$(mandir)"
-    echotab_mkdir_maybe "\$(DESTDIR)\$(mandir)/man1"
-    echotab "\$(INSTALL_DATA) clisp.1 \$(DESTDIR)\$(mandir)/man1/clisp.1"
-    if [ $TERMINAL = readline ] ; then
-      echotab_mkdir_maybe "\$(DESTDIR)\$(mandir)/man3"
-      echotab "\$(INSTALL_DATA) clreadline.3 \$(DESTDIR)\$(mandir)/man3/clreadline.3"
-    fi
     case "$fsstnd" in
       gnu_ext)
         echotab_mkdir_maybe "\$(DESTDIR)\$(exec_prefix)/share"
@@ -3344,7 +3339,7 @@
     echol
     echol
     echol "installcheck : ${TESTSDIR} force"
-    echotab "cd ${TESTSDIR} && \$(MAKE) LISP=\"\$(bindir)/clisp\""
+    echotab "cd ${TESTSDIR} && \$(MAKE) LISP=\"\$(bindir)/clisp-maxima\""
     echol
     echol
     echol "uninstall : uninstall-bin uninstall-man"
@@ -3355,16 +3350,12 @@
     echotab "\$(RM) \$(DESTDIR)\$(lisplibdir)/base/lispinit.mem"
     echotab "\$(RM) \$(DESTDIR)\$(lisplibdir)/full/lisp${LEXE}"
     echotab "\$(RM) \$(DESTDIR)\$(lisplibdir)/full/lispinit.mem"
-    echotab "\$(RM) \$(DESTDIR)\$(bindir)/clisp"
+    echotab "\$(RM) \$(DESTDIR)\$(bindir)/clisp-maxima"
     if [ -n "$USE_GETTEXT" ] ; then
       echotab "cd gettext/po && \$(MAKE) uninstall prefix='\$(DESTDIR)\$(prefix)' exec_prefix='\$(DESTDIR)\$(exec_prefix)'"
     fi
     echol
     echol "uninstall-man : force"
-    echotab "\$(RM) \$(DESTDIR)\$(mandir)/man1/clisp.1"
-    if [ $TERMINAL = readline ] ; then
-      echotab "\$(RM) \$(DESTDIR)\$(mandir)/man3/clreadline.3"
-    fi
     case "$fsstnd" in
       gnu_ext)
         echotab "\$(RM) \$(DESTDIR)\$(htmldir)/clisp.html"
diff -ru clisp-orig/src/spvw_language.d clisp/src/spvw_language.d
--- clisp-orig/src/spvw_language.d	Fri Mar 19 00:58:02 2004
+++ clisp/src/spvw_language.d	Fri Mar 19 23:29:31 2004
@@ -235,7 +235,7 @@
         translated_msg = msgid;
       } else {
         begin_system_call();
-        translated_msg = dgettext("clisp",msgid);
+        translated_msg = dgettext("clisp-maxima",msgid);
         end_system_call();
       }
       return translated_msg;
@@ -254,7 +254,7 @@
         translated_msg = msgid;
       } else {
         begin_system_call();
-        translated_msg = dgettext("clisplow",msgid);
+        translated_msg = dgettext("clisplow-maxima",msgid);
         end_system_call();
       }
       return translated_msg;
--- clisp_ori/src/stream.d	2002-07-25 23:57:40.000000000 +0200
+++ clisp/src/stream.d	2005-06-22 10:07:56.000000000 +0200
@@ -3174,6 +3174,9 @@
           #if defined(UNIX_IRIX) || defined(EMUNIX)
           if (!(errno==ENOSYS))
           #endif
+        #ifdef __APPLE__
+          if (!(errno==EOPNOTSUPP))
+        #endif
           if (!(errno==EINVAL))
             { OS_error(); }
         #endif
@@ -3240,6 +3243,9 @@
           #ifdef UNIX_CYGWIN32 # needed for Win95 only
           if (!(errno==EBADF))
           #endif
+	#ifdef __APPLE__
+          if (!(errno==EOPNOTSUPP))
+        #endif
           if (!(errno==EINVAL))
             { OS_error(); }
         #endif
